Debian Bug report logs - #627887
add support for jasper initramfs system

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Wed, 25 May 2011 09:03:01 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a17-1

Fixed in version live-build/3.0~a19-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ogra@ubuntu.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#627887; Package live-build. (Wed, 25 May 2011 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to ogra@ubuntu.com, Debian Live Project <debian-live@lists.debian.org>. (Wed, 25 May 2011 09:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: add support for jasper initramfs system
Date: Wed, 25 May 2011 10:01:10 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a17-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

The Ubuntu ARM team wrote a system called jasper whose job is to help
with booting preinstalled ext2/ext3 ARM images:

Description: Configure a preinstalled ext2/3 system image
 Jasper is a tool to configure preinstalled ext2/3 images that were
 created using the ubuntu infrastructure from the initramfs.
 Such as armel omap3/4 images in Ubuntu 10.10 and beyond.
 .
 It grows the system partition of a preinstalled ext2/3 image to the
 full size of the SD card, configures fstab, loopback networking, adds
 the UUID to the kernel cmdline and properly sets up flash-kernel for
 the kernel package post installation scripts.

It's supported by livecd-rootfs, so I needed to add support for it to
live-build as well.  From live-build's point of view, I think it
basically counts as a new initramfs system, with the wrinkles that there
shouldn't be a boot=jasper parameter (it extends the default boot=local
instead) and I don't think it needs to do the user creation bits.

Patch attached.  What do you think?

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Add-support-for-jasper-initramfs-system.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627887; Package live-build. (Wed, 25 May 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 25 May 2011 10:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 627887@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: 627887@bugs.debian.org
Cc: Oliver Grawert <ogra@ubuntu.com>
Subject: Re: Bug#627887: add support for jasper initramfs system
Date: Wed, 25 May 2011 11:32:12 +0100
On Wed, May 25, 2011 at 10:01:10AM +0100, Colin Watson wrote:
> The Ubuntu ARM team wrote a system called jasper whose job is to help
> with booting preinstalled ext2/ext3 ARM images:
> 
> Description: Configure a preinstalled ext2/3 system image
>  Jasper is a tool to configure preinstalled ext2/3 images that were
>  created using the ubuntu infrastructure from the initramfs.
>  Such as armel omap3/4 images in Ubuntu 10.10 and beyond.
>  .
>  It grows the system partition of a preinstalled ext2/3 image to the
>  full size of the SD card, configures fstab, loopback networking, adds
>  the UUID to the kernel cmdline and properly sets up flash-kernel for
>  the kernel package post installation scripts.
> 
> It's supported by livecd-rootfs, so I needed to add support for it to
> live-build as well.  From live-build's point of view, I think it
> basically counts as a new initramfs system, with the wrinkles that there
> shouldn't be a boot=jasper parameter (it extends the default boot=local
> instead) and I don't think it needs to do the user creation bits.
> 
> Patch attached.  What do you think?

Oliver suggested that it would be better to use '--initramfs none
--packages jasper', or similar.  This still needs parts of this patch,
though, as there are too many places that only ever expect LB_INITRAMFS
to be casper or live-boot, e.g. the output directory calculation in
lb_binary_rootfs.

Let me know how you'd prefer to proceed here, and I can send an updated
patch.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627887; Package live-build. (Tue, 07 Jun 2011 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 07 Jun 2011 13:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 627887@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: 627887@bugs.debian.org
Cc: Oliver Grawert <ogra@ubuntu.com>
Subject: Re: Bug#627887: add support for jasper initramfs system
Date: Tue, 7 Jun 2011 14:39:49 +0100
[Message part 1 (text/plain, inline)]
On Wed, May 25, 2011 at 11:32:12AM +0100, Colin Watson wrote:
> Oliver suggested that it would be better to use '--initramfs none
> --packages jasper', or similar.  This still needs parts of this patch,
> though, as there are too many places that only ever expect LB_INITRAMFS
> to be casper or live-boot, e.g. the output directory calculation in
> lb_binary_rootfs.
> 
> Let me know how you'd prefer to proceed here, and I can send an updated
> patch.

How about this patch?  This should make '--initramfs none' generally
work more consistently, mostly by filling in a few entries in case
statements.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Make-initramfs-none-work-more-consistently.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627887; Package live-build. (Wed, 08 Jun 2011 08:15:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 08 Jun 2011 08:15:56 GMT) Full text and rfc822 format available.

Message #20 received at 627887@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 627887@bugs.debian.org, Oliver Grawert <ogra@ubuntu.com>
Subject: Re: Bug#627887: add support for jasper initramfs system
Date: Wed, 08 Jun 2011 10:10:18 +0200
tag 627887 pending
thanks

On 06/07/2011 03:39 PM, Colin Watson wrote:
> This should make '--initramfs none' generally
> work more consistently, mostly by filling in a few entries in case
> statements.

applied, thanks.

for the case of jasper, does it require any special treatment, or is all
that lb is doing with '--initramfs none' already enough?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Jun 2011 08:16:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627887; Package live-build. (Wed, 08 Jun 2011 09:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 08 Jun 2011 09:54:18 GMT) Full text and rfc822 format available.

Message #27 received at 627887@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 627887@bugs.debian.org, Oliver Grawert <ogra@ubuntu.com>
Subject: Re: Bug#627887: add support for jasper initramfs system
Date: Wed, 8 Jun 2011 10:50:54 +0100
On Wed, Jun 08, 2011 at 10:10:18AM +0200, Daniel Baumann wrote:
> On 06/07/2011 03:39 PM, Colin Watson wrote:
> > This should make '--initramfs none' generally
> > work more consistently, mostly by filling in a few entries in case
> > statements.
> 
> applied, thanks.
> 
> for the case of jasper, does it require any special treatment, or is all
> that lb is doing with '--initramfs none' already enough?

I'm still verifying (and probably won't be *entirely* certain until we
make the switch in production ...), but at this point I think that
'--initramfs none --packages jasper' is enough to make it work.  Thanks.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 11 Jun 2011 09:36:03 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 09:36:06 GMT) Full text and rfc822 format available.

Message #32 received at 627887-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 627887-close@bugs.debian.org
Subject: Bug#627887: fixed in live-build 3.0~a19-1
Date: Sat, 11 Jun 2011 09:34:08 +0000
Source: live-build
Source-Version: 3.0~a19-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a19-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a19-1_all.deb
live-build_3.0~a19-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a19-1.debian.tar.gz
live-build_3.0~a19-1.dsc
  to main/l/live-build/live-build_3.0~a19-1.dsc
live-build_3.0~a19-1_all.deb
  to main/l/live-build/live-build_3.0~a19-1_all.deb
live-build_3.0~a19.orig.tar.gz
  to main/l/live-build/live-build_3.0~a19.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627887@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jun 2011 11:04:08 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a19-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 627887 629533
Changes: 
 live-build (3.0~a19-1) unstable; urgency=low
 .
   [ Richard Nelson ]
   * Update VERSION in common.sh to match last release.
 .
   [ Daniel Baumann ]
   * Updating packages in sun-java6 example hook.
   * Updating default kernel flavour for progress on i386.
   * Updating default kernel flavour for debian on i386.
 .
   [ Colin Watson ]
   * Use mkfs.ext2/mkfs.ext2 instead of genext2fs (Closes: #629533).
   * Make --initramfs none work more consistently (Closes: #627887).
 .
   [ Richard Nelson ]
   * Add progress as an option for --mode in lb_config manpage.
 .
   [ Daniel Baumann ]
   * Don't try to install standard task on anything but ubuntu.
Checksums-Sha1: 
 ccf03f7e4586afea384db05d7f2208bde501ecf0 1282 live-build_3.0~a19-1.dsc
 91c1e8d2af56c1fcf68657c7058b05f8376b04f0 1928667 live-build_3.0~a19.orig.tar.gz
 9277d1fa5b7f6a7d78907e46866c198f1429f4b1 41383 live-build_3.0~a19-1.debian.tar.gz
 d5dc7c5813c187053ef4ec62a8ac74d0b50755a7 1133090 live-build_3.0~a19-1_all.deb
 b39d330fa41e192c88818476e7250136b2e8b777 57680 live-build-cgi_3.0~a19-1_all.deb
Checksums-Sha256: 
 c64da2f3a9f83386441eb25947f94a976f14299ae66ab720b0f2afd94e4049a3 1282 live-build_3.0~a19-1.dsc
 5d5e70c149e0026d52472b528c561ab32f9dc95f71767bfc49fa7213a7205cd3 1928667 live-build_3.0~a19.orig.tar.gz
 00c80df1b19bb0191ce1601627086be7409d22af78c4c294f0876b1e21794c91 41383 live-build_3.0~a19-1.debian.tar.gz
 d2a7d797bc2d62f6e532462d7e34c80fd04425ff5de99add5b1bfce8695e1e12 1133090 live-build_3.0~a19-1_all.deb
 536666dbfff8ae3cec03ffcb212a92a5f86bda0c6378366478859d3fcbfb9fc5 57680 live-build-cgi_3.0~a19-1_all.deb
Files: 
 8988d6659648cfe480a3a0e2a87f1325 1282 misc optional live-build_3.0~a19-1.dsc
 4903bdc132a2b775dc10c333bbab49fe 1928667 misc optional live-build_3.0~a19.orig.tar.gz
 faad2867e8b05dd3f099c27e230089cb 41383 misc optional live-build_3.0~a19-1.debian.tar.gz
 cf4be2056af3493abce692df69222585 1133090 misc optional live-build_3.0~a19-1_all.deb
 e47e81665e70af490f08597911688a9c 57680 misc optional live-build-cgi_3.0~a19-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3zMicACgkQ+C5cwEsrK54x/wCgqpHCLluvyJMJXGkae83Rxwah
3BAAn3pXlgNYaWfzMioH/uBUELkdufpw
=6nrM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:49:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.